
<html>
 <head>
  <title>Editing a Vector or Matrix</title>
 </head>
 <body>
  <div><a href="./index.html">back to doc index</a></div>
  <h3>Steps:</h3>
  <ol>
   <li>Go to <a href="../input_matrix">/input_matrix</a></li> 
   <li>Put in a name, most prefer a matrix to be represented
   by one capital letter.</li>
   <li>Set it's size, the default is 2x2.</li>
   <li>Enter the matrix elements. For your own mental health, be sure to
   use the 'Tab' key to move sequentially to each next element.
   Pressing 'Shift' then 'Tab' easily moves back.</li>
   <li>When done, press the 'Update' button to save the matrix.
   You can also use the 'Tab' key to get from the last element of the
   matrix to this button, pressing 'Enter' then submits.
   You probably know this, oh well.</li>
  </ol>

  <h3>What about vectors?</h3>
  <p>To create a vector, just set the number of columns to one.
  It <i>is</i> treated like a vector within the program.</p>

  <h3>Recall!</h3>
  <p>The 'Recall!' button recalls a variable from the program's memory,
  clearing any value associated with it. Lineal has no problem overwriting
  variables anyway, so this functionality isn't that important.</p>

  <h3>What's that crap at the bottom?</h3>
  <p>When you hit 'Update', the exact POST data being
  sent to the server is shown. It's really for debugging,
  but I like it for normal use so please don't mind it :)</p>

 </body>
</html>

